From: [email-masked] (Mi Mi)
Date: Wed, 9 Feb 94 09:39:14 CST

Good news from Kansas City INS. 

Mi Mi Sr.

==messages from Kansas City lads followed this line ===================

Date: Mon, 07 Feb 1994 20:29:14 -0600 (CST)
>From: [email-masked]
Subject: Post a message on lad net
To: [email-masked]
X-Vms-To: IN%"[email-masked]"
Mime-Version: 1.0
Content-Transfer-Encoding: 7BIT

Hi, Mi Mi, would you post following message on lad net? thanks.
 
Good news for Kansas City area.  KC INS begins to interview lad. Tod    ay I
received a letter form KC INS in which they give me an appointment on March 10.
In the letter they also required me to bring necessary documents and one copy
of them.  Following are the required documents:
(1) All Passports;
(2) I-94;
(3) birth certificate and a translation of the certificate;
(4) Marriage certificate and the translation of the certificate;
(5) Evidence that spouse's application for PR was granted;
(6) The documents that prove that you continuously maintained a lawful status
all periods in the U.S.. (for example ALL I-20's and college transcripts
for F-1 student).
(7) Bring original documents and a PHOTOCOPY of the original.
 
For limit time I have, I will not response any questions.  Just be patient!
 
Good luck for all lads.